Subject: Offline Message from Julee Ellison: I am going to try again and see if maybe
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Fri, 26 Aug 2022 13:39:24 -0000

From: Julee Ellison <[email-masked]>
Phone: 9094779350
Location: Atlanta, United States
URL: https://swagtron.com/product/swagtron-swagcycle-pro/
Department: SwagTron

I am going to try again and see if maybe the person I spoke to last time just didn’t know the answer. I bought a Swagcycle in 2017 and my battery is dying and I need a new one. Do you all sell the replacement battery? Swagcycle E-bike - folding electric bicycle with 10 mile - bought in April 2017 on Amazon. Is there anyway I can use the battery from the current version of SwagCycle that you carry? Can I get a battery that works with the current version that you sell and just mounted onto my older swag cycle? I just hate the idea of throwing this thing away just because the battery went dead. Thanks for any help you can offer!

----
Zopim
https://www.zopim.com